Bug 628030 - Review Request: maven-ant-tasks - Allow Maven artifact handling features to be used from within an Ant build
Summary: Review Request: maven-ant-tasks - Allow Maven artifact handling features to b...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-27 17:22 UTC by Orion Poplawski
Modified: 2010-09-01 20:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-01 20:07:27 UTC
Type: ---
sochotni: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2010-08-27 17:22:05 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/maven-ant-tasks.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/maven-ant-tasks-2.1.1-2.fc13.src.rpm
Description: 
Mavent Ant Tasks allow several of Maven's artifact handling features to be
used from within an Ant build. These include:

* Dependency management - including transitive dependencies, scope recognition
  and SNAPSHOT handling
* Artifact deployment - deployment to a Maven repository (file integrated,
  other with extensions)
* POM processing - for reading and writing a Maven 2 pom.xml file

http://koji.fedoraproject.org/koji/taskinfo?taskID=2431456

Comment 1 Stanislav Ochotnicky 2010-08-30 13:51:35 UTC
I can do the review

Comment 2 Stanislav Ochotnicky 2010-08-30 15:29:36 UTC
NEEDSWORK: rpmlint must be run on every package. The output should be posted in the review.
maven-ant-tasks.noarch: W: spelling-error %description -l en_US Mavent -> Maven, Mavens, Ma vent
maven-ant-tasks.noarch: W: spelling-error %description -l en_US xml -> XML, cml, ml
maven-ant-tasks.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-ant-tasks
maven-ant-tasks.src: W: spelling-error %description -l en_US Mavent -> Maven, Mavens, Ma vent
maven-ant-tasks.src: W: spelling-error %description -l en_US xml -> XML, cml, ml
maven-ant-tasks-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
maven-ant-tasks-javadoc.noarch: W: non-standard-group Development/Documentation
3 packages and 0 specfiles checked; 0 errors, 7 warnings.


Mavent -> Maven
Development/Documentation -> Documentation

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
NEEDSWORK: All independent sub-packages have License of their own (if it exists)
javadoc subpackage needs either LICENSE in %files or it needs to
Require main package

OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content.
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
NEEDSWORK: Packages must not own files or directories already owned by other packages.
%{_mavendepmapfragdir} and pom directory are provided by
jpackage-utils, use "/*" at the end to include only files, not
directories themselves

OK: All filenames in rpm packages must be valid UTF-8.

Other:
 * You use maven to first install dependencies (ant and plexus-container)
   into local repo. Instead you should use depmap file
   (-Dmaven2.jpp.depmap.file). See for example apache-commons-logging
   package for usage/file format.
 * instead of %{_datadir}/maven2/poms you can use %{_mavenpomdir}
 * while you are changing stuff can you rename maven2-plugin-X BRs to new names?
 * usually there is also versioned symlink to javadoc dir

All in all package is pretty good, no major issue. Fix those small
things and I'll approve.

Comment 3 Orion Poplawski 2010-08-31 17:49:40 UTC
* Mon Aug 30 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-3
- Fix description typo
- Fix javadoc package group
- Add license to javadoc package
- Make javadoc dir versioned with link
- Own maven files, not the dirs
- Use new maven names in BRs

http://www.cora.nwra.com/~orion/fedora/maven-ant-tasks.spec
http://www.cora.nwra.com/~orion/fedora/maven-ant-tasks-2.1.1-2.fc13.src.rpm

I could not get -Dmaven2.jpp.depmap.file to work, at least for plexus-container-default.  I don't think a pom/JPP link is installed for the 1.0 version.

Comment 4 Stanislav Ochotnicky 2010-09-01 09:06:57 UTC
(In reply to comment #3)
> * Mon Aug 30 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-3
> - Fix description typo
> - Fix javadoc package group
> - Add license to javadoc package
> - Make javadoc dir versioned with link
> - Own maven files, not the dirs
> - Use new maven names in BRs

Nice,

you are missing some more cases of maven2/poms instead of mavenpomdir, but that's just nitpicking from my side.

> I could not get -Dmaven2.jpp.depmap.file to work, at least for
> plexus-container-default.  I don't think a pom/JPP link is installed for the
> 1.0 version.

Actually that situation is exactly why depmaps exist. It just tells maven "if someone looks for this dependency, pretend it's this file I gave you"

I believe your depmap should look something like this:
<dependencies>
    <dependency>
        <maven>
            <groupId>org.codehaus.plexus</groupId>
            <artifactId>plexus-container-default</artifactId>
            <version>1</version>
        </maven>
        <jpp>
            <groupId>JPP/plexus</groupId>
            <artifactId>container-default</artifactId>
            <version>1</version>
        </jpp>
    </dependency>
</dependencies>

But I haven't tested this.

> maven-ant-tasks.src:137: E: files-attr-not-set

You put LICENSE above defattr macro this is the only MUST item for me to be able to approve package, but it would be nice to have depmap too :-)

Comment 5 Orion Poplawski 2010-09-01 14:53:29 UTC
That did it, thanks!

http://koji.fedoraproject.org/koji/taskinfo?taskID=2440593

* Wed Sep 1 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-4
- Re-order defattr/doc
- Use _mavenpomdir everywhere
- Use depmap

http://www.cora.nwra.com/~orion/fedora/maven-ant-tasks.spec
http://www.cora.nwra.com/~orion/fedora/maven-ant-tasks-2.1.1-4.fc13.src.rpm

Comment 6 Stanislav Ochotnicky 2010-09-01 15:20:45 UTC
(In reply to comment #5)
> That did it, thanks!
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2440593
> 
> * Wed Sep 1 2010 Orion Poplawski <orion@cora.nwra.com> 2.1.1-4
> - Re-order defattr/doc
> - Use _mavenpomdir everywhere
> - Use depmap
> 
> http://www.cora.nwra.com/~orion/fedora/maven-ant-tasks.spec
> http://www.cora.nwra.com/~orion/fedora/maven-ant-tasks-2.1.1-4.fc13.src.rpm

Great, flawless now. Good work, and pleasure reviewing packages for someone who is responsive :-)

Package is APPROVED.

Comment 7 Orion Poplawski 2010-09-01 16:57:24 UTC
New Package SCM Request
=======================
Package Name: maven-ant-tasks
Short Description: Allow Maven artifact handling features to be used from within an Ant build
Owners: orion
Branches: f14
InitialCC:

Comment 8 Kevin Fenzi 2010-09-01 19:35:08 UTC
Git done (by process-git-requests).

Comment 9 Orion Poplawski 2010-09-01 20:07:27 UTC
Built in rawhide.  Thanks everyone.


Note You need to log in before you can comment on or make changes to this bug.